Modular Input - Bug #2288

Support users on the dev license
08/13/2018 11:27 PM - Luke Murphey

Status: Closed Start date: 08/13/2018
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 211

Description

Currently, users get the following error when using the dev license:

2018-08-09 10:34:56,931 ERROR Execution failed

Traceback (most recent call last): File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\m
odular_input.zip\modular_input\modular_input_base_class.py", line 1083, in execute
self.do_run(in_stream, log_exception_and_continue=True

File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\modular_input.zip\modular_input\modu
lar_input_base_class.py", line 952, in do_run

if ServerInfo.is_shc_captain (input_config.session_key) == False:

File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\modular_input.zip\modular_input\shor
tcuts.py", line 31,

in wrapper return function(*args, **kwargs)

File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\modular_input.zip\modular_input\serv
er_info.py", line 135, in is_shc_captain

if not cls.is_on_shc(session_key):

File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\modular_input.zip\modular_input\shor
tcuts.py", line 31, in wrapper

return function (*args, **kwargs)

File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\modular_input.zip\modular_input\serv
er_info.py", line 88, in is_on_shc

response, _ = splunk.rest.simpleRequest ('/services/shcluster/status?output_mode=json', sessionKey=
session_key)

File "C:\Program Files\Splunk\Python-2.7\Lib\site-packages\splunk\rest\__init__.py", line 533, in
simpleRequest

raise splunk.LicenseRestriction

LicenseRestriction: [HTTP 402] Current license does not allow the requested action

Related issues:
Copied to Website Monitoring - Bug #2289: Support users on the dev license Closed 08/13/2018

Associated revisions

Revision 41 - 08/13/2018 11:29 PM - lukemurphey

Handling calls that fail due to being on the dev license

Closes #2288

History

#1 - 08/14/2018 12:06 AM - Luke Murphey
- Copied to Bug #2289: Support users on the dev license added

#2 - 08/14/2018 06:25 AM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r41.
